package com.fos.modules.vipmenu.entity;

import com.alibaba.fastjson.annotation.JSONField;
import com.fos.core.base.BaseEntity;

import java.util.List;

/**
 * Created by Tony on 7/19/2016.
 */
public class VipMenuEntity extends BaseEntity {
    @JSONField(name = "menuName")
    private String menuName;    //菜单名称
    @JSONField(name = "foodId")
    private int foodId;    //菜品id
    @JSONField(name = "foodName")
    private String foodName;    //菜品名称
    @JSONField(name = "foodIcon")
    private String foodIcon;   //菜品小图片
    @JSONField(name = "image")
    private String image;   //菜品图片
    @JSONField(name = "discription")
    private String discription;     //菜品描述
    @JSONField(name = "taste")
    private String taste;       //菜品口味
    @JSONField(name = "foodtype")
    private String foodtype;    //菜品分类
    @JSONField(name = "classify")
    private int classify;    //种类 0 单品 1套餐
    @JSONField(name = "contain")
    private String contain;    //包含单品
    @JSONField(name = "containFood")
    private List<String> containFood;    //包含食品
    @JSONField(name = "containDrink")
    private List<String> containDrink;    //包含饮品
    @JSONField(name = "containNoodle")
    private List<String> containNoodle;    //包含面食
    @JSONField(name = "foodKind")
    private int foodKind;    //包含饮品
    @JSONField(name = "menuPackaSet")
    private List<VipMenuEntity> menuPackaSet;

    public List<VipMenuEntity> getMenuPackaSet() {
        return menuPackaSet;
    }

    public void setMenuPackaSet(List<VipMenuEntity> menuPackaSet) {
        this.menuPackaSet = menuPackaSet;
    }

    public String getContain() {
        return contain;
    }

    public void setContain(String contain) {
        this.contain = contain;
    }

    public String getFoodIcon() {
        return foodIcon;
    }

    public void setFoodIcon(String foodIcon) {
        this.foodIcon = foodIcon;
    }

    public int getClassify() {
        return classify;
    }

    public void setClassify(int classify) {
        this.classify = classify;
    }

    public String getMenuName() {
        return menuName;
    }

    public void setMenuName(String menuName) {
        this.menuName = menuName;
    }

    public int getFoodId() {
        return foodId;
    }

    public void setFoodId(int foodId) {
        this.foodId = foodId;
    }

    public String getFoodName() {
        return foodName;
    }

    public void setFoodName(String foodName) {
        this.foodName = foodName;
    }

    public String getImage() {
        return image;
    }

    public void setImage(String image) {
        this.image = image;
    }

    public String getDiscription() {
        return discription;
    }

    public void setDiscription(String discription) {
        this.discription = discription;
    }

    public String getTaste() {
        return taste;
    }

    public void setTaste(String taste) {
        this.taste = taste;
    }

    public String getFoodtype() {
        return foodtype;
    }

    public void setFoodtype(String foodtype) {
        this.foodtype = foodtype;
    }

    public List<String> getContainFood() {
        return containFood;
    }

    public void setContainFood(List<String> containFood) {
        this.containFood = containFood;
    }

    public List<String> getContainDrink() {
        return containDrink;
    }

    public void setContainDrink(List<String> containDrink) {
        this.containDrink = containDrink;
    }

    public List<String> getContainNoodle() {
        return containNoodle;
    }

    public void setContainNoodle(List<String> containNoodle) {
        this.containNoodle = containNoodle;
    }

    public int getFoodKind() {
        return foodKind;
    }

    public void setFoodKind(int foodKind) {
        this.foodKind = foodKind;
    }
}
